Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.search.ui
Interface ISearchResultViewEntry

Deprecated. Use `AbstractTextSearchResult` and `Match` instead.

public interface ISearchResultViewEntry

Specifies a search result view entry. This entry provides information about the markers it groups by a client defined key. Each entry in the search result view corresponds to a different key.

The UI allows stepping through this entry's markers grouped by the key.

This interface is not intended to be implemented by clients.

Method Summary
`Object` | `getGroupByKey()` Deprecated. Returns the key by which this entry's markers are logically grouped.
`int` | `getMatchCount()` Deprecated. Returns the number of markers grouped by this entry.
`IResource` | `getResource()` Deprecated. Returns the resource to which this entry's markers are attached.
`IMarker` | `getSelectedMarker()` Deprecated. Returns the selected marker of this entry, or the first one if no marker is selected.

Method Detail

### getGroupByKey

    public Object getGroupByKey()

  Deprecated.
  Returns the key by which this entry's markers are logically grouped. A line in a text could be such a key. Clients supply this key as a parameter to `ISearchResultView.addMatch`.

  Returns:
    the common resource of this entry's markers
  See Also:
    `ISearchResultView.addMatch(java.lang.String, java.lang.Object, org.eclipse.core.resources.IResource, org.eclipse.core.resources.IMarker)`

### getResource

    public IResource getResource()

  Deprecated.
  Returns the resource to which this entry's markers are attached. This is a convenience method for `getSelectedMarker().getResource()`.

  Returns:
    the common resource of this entry's markers

### getMatchCount

    public int getMatchCount()

  Deprecated.
  Returns the number of markers grouped by this entry.

  Returns:
    the number of markers

### getSelectedMarker

    public IMarker getSelectedMarker()

  Deprecated.
  Returns the selected marker of this entry, or the first one if no marker is selected. A search results view entry can group markers which the UI allows the user to step through them while this entry remains selected.

  Returns:
    the selected marker inside this entry, or `null` if the entry has no markers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.